@import "../../styles/variables";

zs-timeline{

    .timeline-events{
        position: relative;
        margin:0;

        &:before{
            width: 1px;
            height: 100%;
            position: absolute;
            content: '';
            left: 13px;
            background: #ddd;
        }
        &:after{
            content: '';
            width: 1px;
            height: 30px;
            background: -webkit-linear-gradient(top, #dddddd 0%, #ffffff 100%);
            background: linear-gradient(to bottom, #dddddd 0%, #ffffff 100%);
            bottom: 0;
            left: 13px;
            position: absolute;
        }
    }

    .timeline-event{
        position: relative;
    }

    .timeline-header{
        display: flex;
        position: relative;
        margin-bottom:3rem;
        @media #{$medium-and-up}{
            flex-direction: row;
        }
    }

    .timeline-buttons{
        display: flex;
        margin-left: auto;
        > .btn-flat, > zs-dropdown-menu > .btn-flat{
            color: $grey;
        }

        .timeline-search-button,
        .timeline-log-download-button{
            margin:0 .15rem;
            i{
                font-size:1.6rem;
            }
        }

        zs-dropdown-menu > button{
            padding:0 .2rem 0 .5rem;
            border-radius:20px;
            @media #{$medium-and-up}{
                padding:0 .5rem 0 .9rem;
            }
            i{
                font-size:1.1rem;
            }
        }
    }

    .timeline-no-events{
        text-align: center;
        color: #ccc;
        font-size: 18px;
        margin-bottom: 20px;

        span{
            display: block;
        }

        zs-icon{
            font-size: 40px;
        }

    }

    .timeline-load-more-events-button{
        margin-left:40px;
    }

}


.list-search{
    display: flex;
    position: absolute;
    left: 0;
    top: 0;
    border-bottom: solid 2px $primary-color;
    background: #fff;
    width: 100%;
    align-items: center;

    input{
        border: 0;
        font-size:18px;
        &:focus, &:active{
            outline: 0;
        }
    }

    > zs-icon{
        font-size: 23px;
        color: $grey;
        display: flex;
    }

    .list-search-close-button{
        font-size:1.2rem;
        color:#999;
        &:hover{
            color:#000;
        }
    }

}